i2pd和kovri 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1131378 漏洞类型 缓冲区错误
发布时间 2017-11-30 更新时间 2019-10-23
CVE编号 CVE-2017-17066 CNNVD-ID CNNVD-201711-1153
漏洞平台 N/A CVSS评分 5.0
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201711-1153
|漏洞详情
i2p是一个用于加密的网络协议,能够实现匿名访问互联网。i2pd是i2p客户端的C++实现。kovri是一个轻量级的兼容i2p的路由器。 i2pd 2.17之前的版本和kovri pre-alpha版本中存在安全漏洞,该漏洞源于程序没有正确的处理arlic DeliveryTypeTunnel数据包。远程攻击者可借助特制的数据包利用该漏洞从进程内存中获取敏感信息。
|参考资料

来源:MISC
链接:https://eyalitkin.wordpress.com/2017/12/04/cve-publication-garlicrust-cve-2017-17066/
来源:MISC
链接:https://eyalitkin.wordpress.com/2017/12/05/stay-away-from-monero-bug-bounty/
来源:MISC
链接:https://hackerone.com/reports/291489